/*
 *	close_drives
 *
 *	Author: David L. Markowitz (dav@gtc.com)
 */

#include "tapecv.h"

close_drives(from, to)
struct td from, to;
{
	if (from.local) {
		close(from.fd);
	}
	else {
		sprintf(cmd, "C\n");
		if (write(from.fd, cmd, strlen(cmd)) < 0)
			perror("close_drives - write(from) failed");
		read(from.fd, response, 1);
		if (response[0] != 'A') {
			fdgets(from.fd, response);	/* Error number */
			fdgets(from.fd, response);	/* Error msg */
			fprintf(stderr, "close_drives: ioctl failed: %s",
							response);
			exit(-1);
		}
		fdgets(from.fd, response);	/* discard this junk */
	}

	if (to.local) {
		close(to.fd);
	}
	else {
		if (write(to.fd, cmd, strlen(cmd)) < 0)
			perror("close_drives - write(to) failed");
		read(to.fd, response, 1);
		if (response[0] != 'A') {
			fdgets(to.fd, response);	/* Error number */
			fdgets(to.fd, response);	/* Error msg */
			fprintf(stderr, "close_drives: ioctl failed: %s",
							response);
			exit(-1);
		}
		fdgets(to.fd, response);	/* through this away */
	}

	return;
}
