/*
 *	fdgets
 *
 *	Read a string from a file descriptor.
 *	NULL terminate it.
 *
 *	Author: David L. Markowitz (dav@gtc.com)
 */

#include <stdio.h>

fdgets(fd, string)
int fd;
char *string;
{
	int offset;

	for (offset=0; ; offset++) {
		if (read(fd, string+offset, 1) < 1) {
			string[offset] = 0;
			break;
		}
		if (string[offset] == '\n') {
			string[++offset] = 0;
			break;
		}
	}
}
