.TH TAPECV 1 local
.SH NAME
tapecv \- tape copy and verify
.SH SYNOPSIS
.B tapecv
[ -v ]
[ -b <size> | -B ]
from to
.SH DESCRIPTION
.I Tapecv
is a tool that copies magnetic tapes between two tape drives
and verifies the copy.
It can work with local or remote drives,
at any density supported by the drives.
.I Tapecv
requires no knowledge of tape format
(except when copying from cartridge to mag tape).
.PP
The
.I from
and
.I to
arguments must be tape device names (i.e. /dev/rmt8).
They may optionally include a remote host name 
separated from the device name by a colon (i.e. krypton:/dev/rmt0).
.SH OPTIONS
The verbose option
.I "-v"
causes
.I tapecv
to print out copious information concerning the tape format
and the status of the copy.
.PP
The record size (or blocking factor) option
.I "-b <blocks>"
specifies a record size in tape blocks (ala tar(1)),
and is only useful for copying from cartridge tape to magtape.
.I tapecv
assumes that all records are the specified size.
Do not use this when copying from mag tape or between cartridges!
.PP
If
.I "-B"
is used instead,
.I tapecv
will assume that this is a Sun bootable tape,
and copy in that special format.
.SH AUTHOR
David L. Markowitz
.br
dav@gtc.com
.SH "SEE ALSO"
tar(1), dd(1), rmt(8), mtio(4)
