/*
 *	tapecv
 *
 *	Copy and verify a tape from one possibly remote
 *	tape drive to another.
 *
 *	Author: David L. Markowitz (dav@gtc.com)
 */

#include "tapecv.h"

static char *version = "Tapecv version 1.0, 1/2/91";

main(argc, argv)
int argc;
char **argv;
{
	initialize(argc, argv);

	open_drives(from, from_dev, to, to_dev);

	copy_tape(from, to);

	rewind_tapes(from, to);

	verify_tape(from, to);

	close_drives(from, to);

	exit(0);
}
