/*
 *	open_drives()
 *
 *	Author: David L. Markowitz (dav@gtc.com)
 */

#include "tapecv.h"

open_drives(from, from_dev, to, to_dev)
struct td from, to;
char *from_dev, *to_dev;
{
	if (!from.local) {
		sprintf(cmd, "O%s\n%d\n", from_dev, 0);
		if (write(from.fd, cmd, strlen(cmd)) < 0)
			perror("open_drives - write(from) failed");
		read(from.fd, response, 1);
		if (response[0] != 'A') {
			fdgets(from.fd, response);	/* Error number */
			fdgets(from.fd, response);	/* Error msg */
			fprintf(stderr, "open_drives: open(from) failed: %s",
						response);
			exit(-1);
		}
		fdgets(from.fd, response);	/* discard this junk */
	}

	if (!to.local) {
		sprintf(cmd, "O%s\n%d\n", to_dev, 2);
		if (write(to.fd, cmd, strlen(cmd)) < 0)
			perror("open_drives - write(to) failed");
		read(to.fd, response, 1);
		if (response[0] != 'A') {
			fdgets(to.fd, response);	/* Error number */
			fdgets(to.fd, response);	/* Error msg */
			fprintf(stderr, "open_drives: open(to) failed: %s",
						response);
			exit(-1);
		}
		fdgets(to.fd, response);	/* through this away */
	}

}
