/*
 *	tapecv.h
 *
 *	Author: David L. Markowitz (dav@gtc.com)
 */

#include <stdio.h>

#define	MAXBLK	(126*512)

long	max_block;
int	boot_tape;
char	response[MAXBLK];
char	data_from[MAXBLK];
char	data_to[MAXBLK];
char	from_dev[32], to_dev[32];

int	files_copied,
	records_copied;
int	files_verified,
	records_verified;
int	nfiles;				/* # of files to copy */

char	cmd[64];
int	verbose;

struct	td {
	int	fd;
	int	local;
	int	cartridge;
};

struct	td	from, to;

